
%define name		trousers
%define version		0.3.1
%define release		4

Name:			%{name}
Summary:		TCG's Software Stack v1.2
Version:		%{version}
Release:		%{release}%{?dist}
License:		CPL
Group:			System Environment/Libraries
Source0:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Url:			http://trousers.sourceforge.net
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		libtool, gtk2-devel, openssl-devel
Requires(pre):		shadow-utils
Requires(post):		/sbin/ldconfig
Requires(post):		/sbin/chkconfig
Requires(postun):	/sbin/ldconfig
Requires(postun):	/sbin/service
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Patch0:			trousers-0.3.1-remove-group-install-code.patch
Patch1:			trousers-0.3.1-owner.patch
Patch2:			trousers-0.3.1-module-ordering.patch

%description
TrouSerS is an implementation of the Trusted Computing Group's Software Stack
(TSS) specification. You can use TrouSerS to write applications that make use
of your TPM hardware. TPM hardware can create, store and use RSA keys
securely (without ever being exposed in memory), verify a platform's software
state using cryptographic hashes and more.

%package	static
Summary:	TrouSerS TCG Device Driver Library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description	static
The TCG Device Driver Library (TDDL) used by the TrouSerS tcsd as the
interface to the TPM's device driver. For more information about writing
applications to the TDDL interface, see the latest TSS spec at
https://www.trustedcomputinggroup.org/specs/TSS.

%package	devel
Summary:	TrouSerS header files and documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files and man pages for use in creating Trusted Computing enabled
applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/tpm
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
cp -p dist/fedora/fedora.initrd.tcsd ${RPM_BUILD_ROOT}/%{_initrddir}/tcsd
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libtspi.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
/sbin/chkconfig --add tcsd

%preun
if [ $1 = 0 ]; then
	/sbin/service tcsd stop &> /dev/null
	/sbin/chkconfig --del tcsd
fi

%postun
/sbin/ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service tcsd condrestart &>/dev/null
fi

%files
%defattr(-, root, root, -)
%doc README AUTHORS LICENSE ChangeLog
%attr(755, root, root) %{_sbindir}/tcsd
%{_libdir}/libtspi.so.?
%{_libdir}/libtspi.so.?.?.?
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/tcsd.conf
%attr(644, root, root) %{_mandir}/man5/*
%attr(644, root, root) %{_mandir}/man8/*
%{_initrddir}/tcsd
%{_localstatedir}/lib/tpm/

%files		devel
# The files to be used by developers, 'trousers-devel'
%defattr(-, root, root, -)
%attr(755, root, root) %{_libdir}/libtspi.so
%{_includedir}/tss/
%{_includedir}/trousers/
%{_mandir}/man3/Tspi_*

%files		static
%defattr(-, root, root, -)
# The only static library shipped by trousers, the TDDL
%{_libdir}/libtddl.a

%changelog
* Wed Apr 03 2007 Steve Grubb <sgrubb@redhat.com> - 0.3.1-4
Resolves: #439334 TCG: /etc/init.d/tcsd start fails to load TPM modules

* Wed Feb 06 2007 Steve Grubb <sgrubb@redhat.com> - 0.3.1-3
Resolves: #431616 static libs need to require devel package
Resolves: #431667 switch tss user to root

* Wed Jan 16 2007 Steve Grubb <sgrubb@redhat.com> - 0.3.1-1
- Initial RHEL import.
